classification
Title: test_multiprocessing_spawn.test_wait_result() failed on x86 Windows7 3.x
Type: Stage: resolved
Components: Tests, Windows Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: davin, miss-islington, paul.moore, pitrou, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2018-05-31 12:36 by vstinner, last changed 2018-07-11 22:19 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7971 merged vstinner, 2018-06-27 16:29
PR 7974 merged miss-islington, 2018-06-27 20:25
PR 7975 merged miss-islington, 2018-06-27 20:26
Messages (5)
msg318292 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-31 12:36
http://buildbot.python.org/all/#/builders/58/builds/932

======================================================================
FAIL: test_wait_result (test.test_multiprocessing_spawn.WithManagerTestCondition)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\_test_multiprocessing.py", line 1485, in test_wait_result
    self.assertTrue(c.wait(10))
AssertionError: False is not true

Note: this buildbot is known to be slow.

See also bpo-30317 and bpo-30356. (And maybe also bpo-31687.)
msg320610 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-27 20:24
New changeset 492572715aa0f4ddab51f979f7f56465c762227c by Victor Stinner in branch 'master':
bpo-33715: Fix multiprocessing test_wait_result() (GH-7971)
https://github.com/python/cpython/commit/492572715aa0f4ddab51f979f7f56465c762227c
msg320611 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-27 20:25
Python 2.7 is not affected: it doesn't have the test.
msg320620 - (view) Author: miss-islington (miss-islington) Date: 2018-06-27 20:47
New changeset ecb1525e10bbde9a66d2d14a24ff7a7ddd9d3258 by Miss Islington (bot) in branch '3.7':
bpo-33715: Fix multiprocessing test_wait_result() (GH-7971)
https://github.com/python/cpython/commit/ecb1525e10bbde9a66d2d14a24ff7a7ddd9d3258
msg320625 - (view) Author: miss-islington (miss-islington) Date: 2018-06-27 21:20
New changeset 404250ed65e01505c1ec7ea194804df160ce5400 by Miss Islington (bot) in branch '3.6':
bpo-33715: Fix multiprocessing test_wait_result() (GH-7971)
https://github.com/python/cpython/commit/404250ed65e01505c1ec7ea194804df160ce5400
History
Date User Action Args
2018-07-11 22:19:54vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-27 21:20:12miss-islingtonsetmessages: + msg320625
2018-06-27 20:47:48miss-islingtonsetnosy: + miss-islington
messages: + msg320620
2018-06-27 20:26:17miss-islingtonsetpull_requests: + pull_request7585
2018-06-27 20:25:14miss-islingtonsetpull_requests: + pull_request7584
2018-06-27 20:25:02vstinnersetmessages: + msg320611
versions: + Python 3.6, Python 3.7
2018-06-27 20:24:05vstinnersetmessages: + msg320610
2018-06-27 16:29:47vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request7579
2018-05-31 12:36:45vstinnercreate